Bug 966156 - Review Request: prwd - A tool can print reduced working directory
Review Request: prwd - A tool can print reduced working directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 12:16 EDT by Christopher Meng
Modified: 2015-07-27 15:10 EDT (History)
4 users (show)

See Also:
Fixed In Version: prwd-1.7-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 19:49:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-22 12:16:21 EDT
Spec URL: http://cicku.me/prwd.spec
SRPM URL: http://cicku.me/prwd-1.6-1.fc20.src.rpm 
Description: Most shells read $PS1 differently and have a very rigid way to display 
the current working directory. prwd allows you to have one way to handle 
the display of your working directory and use it across multiple shells. 
It also allows you to keep an eye on your current branch when you enter 
a project handled by git or mercurial.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-05-26 00:04:54 EDT
New upstream release:

Spec URL: http://cicku.me/prwd.spec
SRPM URL: http://cicku.me/prwd-1.7-1.fc20.src.rpm
Comment 2 Mario Blättermann 2013-05-26 05:56:29 EDT
In %prep:
gzip %{name}.1

Don't compress man pages with a certain algorithm. The plain version will be compressed automatically by rpm.
Comment 3 Christopher Meng 2013-05-26 11:56:53 EDT
(In reply to Mario Blättermann from comment #2)
> In %prep:
> gzip %{name}.1
> 
> Don't compress man pages with a certain algorithm. The plain version will be
> compressed automatically by rpm.

I'll fix that for all packages.

Will you do a review for me?

Thanks.

Spec URL: http://cicku.me/prwd.spec
SRPM URL: http://cicku.me/prwd-1.7-2.fc20.src.rpm
Comment 4 Mario Blättermann 2013-05-26 14:06:08 EDT
(In reply to Christopher Meng from comment #3)
> Will you do a review for me?

I'll do the review, but be patient. Probably I don't have time left until next weekend.
Comment 5 Douglas Schilling Landgraf 2013-05-26 18:41:28 EDT
Christopher,

Always specify which changes you have made in the spec:

> * Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 1.7-2
> - Small fixes.

"Small fixes" it's not clear.
Comment 6 Douglas Schilling Landgraf 2013-05-26 18:50:03 EDT
(In reply to Mario Blättermann from comment #4)
> (In reply to Christopher Meng from comment #3)
> > Will you do a review for me?
> 
> I'll do the review, but be patient. Probably I don't have time left until
> next weekend.

Hi Mario,

Thanks for your help in this bugzilla. I can conduct it.

Cheers
Douglas
Comment 7 Douglas Schilling Landgraf 2013-05-27 21:55:09 EDT
[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

Rpmlint
-------
Checking: prwd-1.7-2.fc18.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint prwd
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[OK] MUST: The package must be named according to the Package Naming Guidelines

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

[OK] MUST: The package must meet the Packaging Guidelines .

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license. 

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible.

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

 CHECKSUM(SHA256) this package     : 89373a30c9b4193b973317275f519955537e5b4c8f78b4e25fd606493bdc7e64
  CHECKSUM(SHA256) upstream package : 89373a30c9b4193b973317275f519955537e5b4c8f78b4e25fd606493bdc7e64


[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 

[OK] MUST: Packages must NOT bundle copies of system libraries

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

[OK] MUST: Permissions on files must be set properly.

[OK] MUST: Each package must consistently use macros.

[OK] MUST: The package must contain code, or permissable content

[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[

[OK] MUST: Packages must not own files or directories already owned by other packages

[OK] MUST: All filenames in rpm packages must be valid UTF-8. 

[OK]: SHOULD Package functions as described.

[OK]: SHOULD Latest version is packaged.

[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file

[OK]: Sources can be downloaded from URI in Source: tag

[OK]: Reviewer should test that the package builds in mock.

[OK]: Buildroot is not present

[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

[OK]: Dist tag is present.

[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

[OK]: Uses parallel make.

[OK]: SourceX tarball generation or download is documented.

[OK]: SourceX is a working URL.

[OK]: Spec use %global instead of %define.

Just a comment:
=====================
As I suggested in comment#5, please write changelogs with the full changes that you have made instead of using phrases like: "Small fixes". It doesn't help next guy that can work into your rpm.

The above minor comment can be fixed in parallel of packaging.

Status: APPROVED.
Comment 8 Christopher Meng 2013-05-28 02:49:27 EDT
New Package SCM Request
=======================
Package Name: prwd
Short Description: A tool can print reduced working directory
Owners: cicku
Branches: f18 f19 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-05-28 11:45:51 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-05-29 01:06:54 EDT
prwd-1.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/prwd-1.7-2.fc19
Comment 11 Fedora Update System 2013-05-29 01:19:48 EDT
prwd-1.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/prwd-1.7-2.fc18
Comment 12 Fedora Update System 2013-05-29 01:27:50 EDT
prwd-1.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/prwd-1.7-2.el6
Comment 13 Fedora Update System 2013-05-29 13:35:34 EDT
prwd-1.7-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Fedora Update System 2013-06-07 19:49:42 EDT
prwd-1.7-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-06-07 23:36:11 EDT
prwd-1.7-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-06-13 18:30:25 EDT
prwd-1.7-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 17 Christopher Meng 2015-07-24 22:29:02 EDT
Package Change Request
======================
Package Name: prwd
New Branches: epel7
Owners: cicku
Comment 18 Gwyn Ciesla 2015-07-27 15:10:42 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.